<!DOCTYPE html>
<html lang="en"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
  <meta charset="UTF-8">
  <title>Films</title>


</head>
<body>
<div layout:fragment="content">
  <h1>All films</h1>
  <div class="row">
    <div class="col">
      <a href="films/add"
         class="btn btn-secondary"
         role="button"
         style="float: right"
         aria-disabled="true">Added film</a>
    </div>
  </div>
  <table class="table">
    <thead>
    <tr>
      <th scope="col">Title</th>
      <th scope="col">Directors</th>
      <th scope="col">Genre</th>
      <th scope="col">Premiere date</th>
      <th scope="col">Country</th>
      <th scope="col"></th>
    </tr>
    </thead>
    <tbody>
    <tr th:each="film : ${films}">
      <td>
        <a class="film-link" th:href=" '/films' + ${film.getId()}"
           th:text="${film.getTitle()}">Title</a>
      </td>
      <td>
        <ul>
          <li th:each="director : ${film.getDirectors()}" th:text="${director.getDirectorsFio()}"></li>
        </ul>
      </td>
      <td th:text="${film.getGenre().getGenreDisplayValue()}"></td>
      <td th:text="${film.getPremierYear()}"></td>
      <td th:text="${film.getCountry()}"></td>

    </tr>
    </tbody>
  </table>
</div>
</body>
</html>